
From: Roland McGrath <roland@redhat.com>

Shouldn't msecs mean msecs, not secs/HZ?

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-generic/cputime.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-generic/cputime.h~cputimeh-seems-to-assume-hz==1000 include/asm-generic/cputime.h
--- 25/include/asm-generic/cputime.h~cputimeh-seems-to-assume-hz==1000	Tue Jan 18 15:27:28 2005
+++ 25-akpm/include/asm-generic/cputime.h	Tue Jan 18 15:27:28 2005
@@ -35,8 +35,8 @@ typedef u64 cputime64_t;
 /*
  * Convert cputime to seconds and back.
  */
-#define cputime_to_secs(__ct)		(jiffies_to_msecs(__ct) / HZ)
-#define secs_to_cputime(__secs)		(msecs_to_jiffies(__secs * HZ))
+#define cputime_to_secs(__ct)		(jiffies_to_msecs(__ct) / 1000)
+#define secs_to_cputime(__secs)		(msecs_to_jiffies(__secs * 1000))
 
 /*
  * Convert cputime to timespec and back.
_
